Get revenue centers

post

/bi/v1/{orgIdentifier}/getRevenueCenterDimensions

Gets the revenue centers configured for the specified location.

Request

Path Parameters
Body ()
The request body defines the details of the API request.
Root Schema : locRequestPayload
Type: object
Request payload with location reference
Show Source
  • Title: Application Name
    Maximum Length: 128
    The name of the application which is accessing the API.

    First Available Version: 20.1.10

  • Title: Include
    List of objects to include in response
  • Title: Location Reference
    The location reference, this may be a store number or name depending on the organization
  • Title: Search Criteria
    Search criteria to filter results based on field value
Back to Top

Response

Supported Media Types

200 Response

OK
Body ()
Root Schema : revenueCenterDimensions
Type: object
The response body contains information about the revenue center dimensions for the specified locatio
Show Source
Nested Schema : revenueCenters
Type: array
An array of revenue center dimensions
Show Source
Nested Schema : revenueCenter
Type: object
The response body contains information about the revenue center for the specified location.
Show Source
  • Title: Address Line 1
    Maximum Length: 250
    Address Line 1. This attribute is optional and will not be returned in the response by default.

    First available version 20.1.16

  • Title: Address Line 2
    Maximum Length: 250
    Address Line 2. This attribute is optional and will not be returned in the response by default.

    First available version 20.1.16

  • Title: Address Line 3
    Maximum Length: 250
    Address Line 3. This attribute is optional and will not be returned in the response by default.

    First available version 20.1.16

  • Title: Category Group Hierarchy #1 assigned to the master item
    Maximum Length: 40
    Category Group Hierarchy #1 assigned to the master item. This attribute will not be returned in the response if value is null.

    First Available Version 20.1.14.13

  • Title: Category Group Hierarchy #2 assigned to the master item
    Maximum Length: 40
    Category Group Hierarchy #2 assigned to the master item. This attribute will not be returned in the response if value is null.

    First Available Version 20.1.14.13

  • Title: Category Group Hierarchy #3 assigned to the master item
    Maximum Length: 40
    Category Group Hierarchy #3 assigned to the master item. This attribute will not be returned in the response if value is null.

    First Available Version 20.1.14.13

  • Title: Category Group Hierarchy #4 assigned to the master item
    Maximum Length: 40
    Category Group Hierarchy #4 assigned to the master item. This attribute will not be returned in the response if value is null.

    First Available Version 20.1.14.13

  • Title: Category Group #1 assigned to the master item
    Maximum Length: 20
    Category Group #1 assigned to the master item. This attribute will not be returned in the response if value is null.

    First Available Version 20.1.14.13

  • Title: Category Group #2 assigned to the master item
    Maximum Length: 20
    Category Group #2 assigned to the master item. This attribute will not be returned in the response if value is null.

    First Available Version 20.1.14.13

  • Title: Category Group #3 assigned to the master item
    Maximum Length: 20
    Category Group #3 assigned to the master item. This attribute will not be returned in the response if value is null.

    First Available Version 20.1.14.13

  • Title: Category Group #4 assigned to the master item
    Maximum Length: 20
    Category Group #4 assigned to the master item. This attribute will not be returned in the response if value is null.

    First Available Version 20.1.14.13

  • Title: City
    Maximum Length: 40
    City for the relevant location or revenue center. This attribute is optional and will not be returned in the response by default. Use the include request attribute to request this field.

    First available version: 20.5.

  • Title: Two character country code
    Maximum Length: 2
    Two character country code as defined in ISO 3166-2 standard. This attribute is optional and will not be returned in the response by default.

    First available version 20.1.16

  • Title: Country name
    Maximum Length: 50
    Country name as defined in ISO 3166-2 standard. This attribute is optional and will not be returned in the response by default.

    First available version 20.1.16

  • Title: Master Name
    Maximum Length: 99
    The master Revenue Center name
  • Title: Master Number
    Maximum Length: 16
    The master Revenue Center number
  • Title: Name
    Maximum Length: 99
    Revenue Center Name
  • Title: Number
    Maximum Length: 16
    Revenue Center number
  • Title: Telephone number
    Maximum Length: 20
    Telephone number. This attribute is optional and will not be returned in the response by default.

    First available version 20.1.16

  • Title: Telephone country code
    Maximum Length: 2
    Telephone country code. This attribute is optional and will not be returned in the response by default.

    First available version 20.1.16

  • Title: ZIP or Postalcode
    Maximum Length: 20
    ZIP or Postalcode. This attribute is optional and will not be returned in the response by default.

    First available version 20.1.16

  • Title: Region code
    Maximum Length: 6
    Region code as defined in ISO 3166-2 standard for subdivisions. This attribute is optional and will not be returned in the response by default.

    First available version 20.1.16

  • Title: Region name
    Maximum Length: 40
    Region name as defined in ISO 3166-2 standard for subdivisions. This attribute is optional and will not be returned in the response by default.

    First available version 20.1.16

400 Response

Bad Request
Body ()
Root Schema : exceptionDetailType
Type: object
Error Details
Show Source

401 Response

Unauthorized
Body ()
Root Schema : exceptionDetailType
Type: object
Error Details
Show Source

403 Response

Service Unavailable
Body ()
Root Schema : exceptionDetailType
Type: object
Error Details
Show Source

404 Response

Resource Not Found
Body ()
Root Schema : exceptionDetailType
Type: object
Error Details
Show Source

Default Response

Unexpected Error
Body ()
Root Schema : exceptionDetailType
Type: object
Error Details
Show Source
Back to Top

Examples

The following example shows how to get the revenue center dimensions for a specified location by submitting a POST request on the REST resource using cURL. For more information, see Use cURL

curl -i -X POST -H "Authorization: Bearer 
  
   " -H "Content-Type:application/json" -d {"locRef":"1234"} https://baseurl/bi/v1/orgidentifier/getRevenueCenterDimensions 
  

Example of Response Header

The following shows an example of the response header.

HTTP/1.1 200 OK  Date: Tue, 20 Oct 2020 21:24:33 GMT  Transfer-Encoding: chunked  Content-Type: application/json

Example of Response Body

The following example shows the contents of the response body in JSON format:

{
 "locRef": "1234",
 "revenueCenters":[{
  "num":152,
  "name": "Bar",
  "mstrNumNum":152,
  "mstrNameName": "Bar",
  "addrLn1": "7031 Columbia Gateway Dr",
  "addrLn2": "Floor 3",
  "addrLn3": "Columbia, MD 21046",
  "postalCode": "21046",
  "phone": "4432856000",
  "phoneCountryCode": "1",
  "countryCode": "US",
  "countryName": "United States",
  "regionCode": "MD",
  "regionName": "Maryland",
  "catGrpHierName1": "Category Hierarchy 1",
  "catGrpName1": "Category Group 1",
  "catGrpHierName2": "Category Hierarchy 2",
  "catGrpName2": "Category Group 2",
  "catGrpHierName3": "Category Hierarchy 3",
  "catGrpName3": "Category Group 3",
  "catGrpHierName4": "Category Hierarchy 4",
  "catGrpName4": "Category Group 4"
  }]
}
Back to Top